#include<fstream>
#include<iostream>
#include<vector>
#include<iomanip>
#define NAME "tinh."
using namespace std;
ifstream fi(NAME"inp");
ofstream fo(NAME"out");
int main(){
int n,ans1=0,ans2=1,t;
fi>>n;
double ans3=0;
vector<int>a(n);
for(int i=1;i<=n;++i){
    t=i*(i+1);
    ans1+=(2*i+1);
    ans2=ans2*i;
    ans3=ans3+1.0/t;
}
a[0]=1;a[1]=1;
for(int i=2;i<n;++i)a[i]=a[i-1]+a[i-2];
fo<<ans1<<endl;
fo<<ans2<<endl;
fo<<fixed<<setprecision(2)<<ans3-0.5<<endl;
fo<<a[n-1];
}
